## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanEXSLTFunctionDifference Class Reference

Inheritance diagram for XalanEXSLTFunctionDifference:

[legend]
Collaboration diagram for XalanEXSLTFunctionDifference:

[legend]
List of all members.

## Public Member Functions

- XalanEXSLTFunctionDifference ()
- virtual ~XalanEXSLTFunctionDifference ()
- virtual XalanEXSLTFunctionDifference * clone (MemoryManagerType &theManager) const
    Create a copy of the function object.

## Protected Member Functions

- virtual const XalanDOMString & getError (XalanDOMString &theBuffer) const
    Get the error message to report when the function is called with the wrong number of arguments.

## Constructor & Destructor Documentation

XalanEXSLTFunctionDifference::XalanEXSLTFunctionDifference | ( |  | ) |

virtual XalanEXSLTFunctionDifference::~XalanEXSLTFunctionDifference | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual XalanEXSLTFunctionDifference* XalanEXSLTFunctionDifference::clone | ( | MemoryManagerType & | theManager | ) | const`[virtual]`

Create a copy of the function object.

Returns:
  pointer to the new object

Reimplemented from FunctionDifference.

virtual const XalanDOMString& XalanEXSLTFunctionDifference::getError | ( | XalanDOMString & | theBuffer | ) | const`[protected, virtual]`

Get the error message to report when the function is called with the wrong number of arguments.

Returns:
  function error message

Reimplemented from FunctionDifference.

The documentation for this class was generated from the following file:

- XalanEXSLTSetImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.